<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Listeners\Udalost;

use Seka\Portal\Modul\Terminy\Entities\Dtos\Factory\UdalostDTOFactory;
use Seka\Portal\Modul\Terminy\Events\Udalost\ZverejnenaUdalostBolaNezverejnena;

/**
 * Class NezverejnitZverejnenuUdalostiVKalendari
 *
 * @package Seka\Portal\Modul\Terminy\Listeners\Udalost
 */
final class NezverejnitZverejnenuUdalostiVKalendari extends UdalostVKalendari
{
    /**
     * @param \Seka\Portal\Modul\Terminy\Events\Udalost\ZverejnenaUdalostBolaNezverejnena $event
     */
    public function handle(ZverejnenaUdalostBolaNezverejnena $event): void
    {
        $udalost = UdalostDTOFactory::make($event->udalost);

        $this->calendarService->deleteEvent($udalost);
    }
}
